/* General Styling */
body {
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: black;
    color: #535353;
}


/* Header Styling */
header {
    background: rgb(0, 99, 66);
    color: #fff;
    text-align: center;
    position: sticky;         
    top: 0;                  
    width: 100%;             
    z-index: 1000;           
    padding: 10px 0;         
} 

header h1 {
    font-size: 2.5em;
}

header nav {
    margin: 0;
    padding: 0;
}



nav ul {
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
}

nav ul li {
    margin: 0 15px;
}

nav ul li a {
    color: #ffffff;
    text-decoration: none;
    font-weight: 700;
    position: relative;
}

nav ul li a::after {
    content: '';
    display: block;
    width: 0;
    height: 3px;
    background: #00eea7;
    transition: width 0.3s;
    position: absolute;
    left: 50%;
    bottom: -5px;
    transform: translateX(-50%);
}

nav ul li a:hover::after {
    width: 100%;
}
/* Main Content Styling */
main {
    padding: 0px 10px 40px 10px;
    max-width: 1200px;
    margin: 0 auto;
}

h2 {
    font-size: 1.8em;
    margin-bottom: 20px;
}

/* Skills Section */
section ul {
    list-style-type: none;
    padding: 0;
    margin-left: 15vw ;
    font-size: 1.2em;

}

section ul li {
    display: flex;
    align-items: center;
    margin: 0px 0px 40px;
    font-size: 1.3em;
}

/* Icon and Star Styling */
section ul li i {
    font-size: 1.5em;
    margin-left: 10px;
    color: #707070;
}
section ul {
    list-style-type: none; /* Remove bullet points */
    padding: 0; /* Remove default padding */
    width: 550px; /* Set a fixed width for the list */
}

li {
    display: flex; /* Use flexbox */
    justify-content: space-between; /* Space items evenly */
    align-items: center; /* Center items vertically */
    margin-bottom: 10px; /* Add spacing between items */
}

.icon-container {
    display: flex;
    align-items: center;
    justify-content: center; /* Centruje tekst i ikonę w kontenerze */
    width: 350px;
    text-align: center; /* Centruje tekst */
    position: relative;
}
.icon-container i {
    position: absolute;
    left: 0;
      
}
#sql-icon{
    color: orange;
}
#html-icon {
    color: rgb(255, 76, 76); /* HTML icon in red */
}

#css-icon {
    color: rgb(255, 187, 62); /* CSS icon in orange */
}

#c-icon {
    color: rgb(0, 110, 255); /* C icon in blue */
}

#python-icon {
    color: rgb(103, 201, 95); /* Python icon in yellow */
}

#linux-icon {
    color: rgb(0, 255, 34); /* Linux icon in white */
}

#windows-icon {
    color: rgb(39, 130, 216); /* Windows icon in blue */
}
#davinci-icon {
    color: rgb(50, 51, 48) ; /* Windows icon in blue */
}
#activedirectory-icon {
    color: rgb(80, 154, 223); /* Windows icon in blue */
}
#javascript-icon{
   color: yellow;
}

.stars {
    display: flex;
}

.stars i {
    color: rgb(251, 255, 0); /* Gold color for stars */
    font-size: 1.1em;
}

/* Footer Styling */
footer {
    text-align: center;
    padding: 10px 0;
    background: rgba(0, 0, 0, 0.274);
    color: #fff;
    position: fixed;
    width: 100%;
    bottom: 0;
}

footer p {
    margin: 0;
    font-size: 0.9em;
}
.icon {
    width: 30px;
    height: 30px;
    margin-right: 10px;
    vertical-align: middle;
}
.skills-section p {
    font-size: 1.5em;
    color: rgb(240, 240, 240);
    margin-left: 15vW;
    margin-top: 0;
    padding-top: 60px;
}
.scroll-down-icon {
    position: absolute;
    bottom: 200px;
    left: 50%;
    transform: rotate(90deg); 
    display: block; 
    width: 25px;     
    height: auto;
    cursor: pointer;
    z-index: 10;    
    
  }
  #arrow{
    width: 100px;
  }
  html {
    scroll-behavior: smooth;
  }
.skills-container {
        display: flex;
 }

.bodyxd{
    display: flex;
 }
.napis{
    position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        font-size: 64px;
        font-family: Arial, Helvetica, sans-serif;
        font-weight: bold;
        color: white;
        text-shadow: 2px 2px 10px rgba(255, 255, 255, 0.616);
}